Быстро поддерживает GTK3?

10

Простой вопрос: может Быстро использовать GTK2 только или GTK3 для графического интерфейса?

    
задан burli 26.09.2011 в 19:31
источник

2 ответа

7

По состоянию на 12.04
Gtk3 по умолчанию - 12.04.

Для 11.x
Простой ответ: Нет, это не (Быстро 11.10).

Расширенный ответ: Поскольку весь код, созданный быстро, можно редактировать, вы можете изменить его для поддержки gtk3, но он не поддерживается.

Тем не менее существует ветвь в разработке, которая (только) поддерживает gtk3. Вы можете увидеть разницу в шаблонах: у некоторых есть from gi import ... (что необходимо для gtk3), а у старых шаблонов import gtk (что не работает с gtk3).

Вы должны иметь возможность удалить текущую быструю версию и получить версию с поддержкой gtk3 с помощью

bzr branch lp:~quickly-committers/quickly/gtk3-projects

Я, однако, не пробовал, и это, конечно, не текущая стабильная версия быстро (что имеет большое значение ...)

    
ответ дан xubuntix 25.10.2011 в 10:14
источник
-1

Ubuntu 11.10 использует Gnome3 / GTK3 по умолчанию, а также Unity, поэтому да, он поддерживает GTK3:)

Я вижу, что вы добавили к вашему вопросу тэг pygtk. Вы должны подумать о том, чтобы отбросить его в пользу GObject Introspection, поскольку g-i и PyGTK больше не совместимы. Это простой переход, хотя и g-i предоставляет множество других инструментов. PyGTK тоже не будет развиваться, так рано или поздно вам придется сделать переключатель. В PyGTK никогда не будет версии GTK3.     

ответ дан Jo-Erlend Schinstad 26.09.2011 в 20:48